Subject: Remove Last-Modified response header from cached output

Description

The current state of last-modified is broken by design.

Furthermore it is the question if we should support this properly at all in the future, since well, the whole page has to be rendered

anyway to find out if it 'was-modified-since' so there is no benefit on server side (and not on client side either). Supporting that would

also mean that we need to track/hash basically everything, so it would be a really evil cross-cutting-concern that affects extensions,

content, files, everything.

A document is added to this issue explaining the whole situation

Associated revisions

Revision c4faf452 - 2015-03-26 20:36 - Patrick Broens

[BUGFIX] Last-Modified response header broken by design

The Last-Modifed header needs to change whenever there is a change
related to that page. Not only the page properties or records located
on that page, but every change which should be reflected on that page,
like menus, TypoScript or layout. Currently this is not happening and

has huge impact to make it work.

This patch removes the Last-Modified response header. The ETag response

header has kind of the same function, so no harm is done by deleting
Last-Modified.

Resolves: #63927

Releases: master, 6.2

Change-Id: Ic5d14225¢2f90cc63e1c4413d5426565ea5e1e41
Reviewed-on: http://review.typo3.org/38265

Reviewed-by: Anja Leichsenring <aleichsenring@ab-softlab.de>

Tested-by: Anja Leichsenring <aleichsenring@ab-softlab.de>

Reviewed-by: Andreas Fernandez <andreas.fernandez@aspedia.de>

Tested-by: Andreas Fernandez <andreas.fernandez@aspedia.de>

Revision d643a32f - 2015-03-26 20:36 - Patrick Broens
[BUGFIX] Last-Modified response header broken by design

The Last-Modifed header needs to change whenever there is a change
related to that page. Not only the page properties or records located
on that page, but every change which should be reflected on that page,
like menus, TypoScript or layout. Currently this is not happening and
has huge impact to make it work.

This patch removes the Last-Modified response header. The ETag response
header has kind of the same function, so no harm is done by deleting
Last-Modified.

Resolves: #63927

Releases: master, 6.2

Change-Id: Ic5d14225c2f90cc63e1c4413d5426565ea5e1e41
Reviewed-on: http:/review.typo3.0rg/38269

Reviewed-by: Andreas Fernandez <andreas.fernandez@aspedia.de>

Tested-by: Andreas Fernandez <andreas.fernandez@aspedia.de>

History

#1 - 2014-12-16 12:34 - Patrick Broens
- Parent task set to #63815

#2 - 2014-12-16 12:35 - Patrick Broens
- Assigned To set to Patrick Broens

#3 - 2015-03-26 20:05 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/38265

#4 - 2015-03-26 20:13 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0org/38265

#5 - 2015-03-26 20:36 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/38269

#6 - 2015-03-26 21:00 - Patrick Broens
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:c4faf452de201a615d55fc68fa5f7514851fc747.
